#!/usr/bin/perl
#
use strict;

=pod

=head1 COPYRIGHT NOTICE

This software is governed by the CeCILL license under French law - www.cecill.info

=cut

=head1 NAME

 postatom_script.pl - DEMO SCRIPT - To be executed by PARALOOP

=head1 SYNOPSIS

 preatom_script.pl 
 Associated parameter : PARALOOP_postatom_script
 STANDARD INPUT       : The current input file (see each plugin for the details about the input data)
 STANDARD OUTPUT      : The current output file

=head1 DESCRIPTION

The script whose name is set the the parameter PARALOOP_postatom_script is executed AFTER each atomic job is executed.

=cut

my $date = `date`;
chomp $date;

my @a_input = <STDIN>;
chomp @a_input;
my $input = join (' ',@a_input);

print "POSTATOM SCRIPT $date - JOB $ENV{PARALOOP_plp_id} CURRENT $ENV{PARALOOP_current} - $input\n";
warn "POSTATOM SCRIPT $date - JOB $ENV{PARALOOP_plp_id} CURRENT $ENV{PARALOOP_current} - logging to stderr\n";

