# REpeat Detector V2.0 installation
#
# Requirements:
# 1) Environment variable EGNEP has to be defined
# 2) GNU gcc8.2 or higher
#    >module load compiler/gcc-9.3.0 
# OR
#    >which g++-9
#    >setenv CXX /g++9/path/g++-9 (or export CXX=/g++9/path/g++-9)
setenv EGNEP $PWD
cd $EGNEP/bin/ext/
wget -O Red-2.0.tar.gz https://github.com/TulsaBioinformaticsToolsmith/Red/archive/v2.0.tar.gz
gzip -cd Red-2.0.tar.gz | tar xvf -
cd Red-2.0/src_2.0/
perl -i.bk -pe 's/^CXX = .*$/CXX = $ENV{CXX} /;s/CXXFLAGS = /CXXFLAGS = -static /' Makefile
make bin
make
cd ../..
ln -s Red-2.0 red

