#  We recommand to compile eugene with g++-5
#which g++-5
#setenv CXX /g++5/path/g++-5

setenv EGNEP $PWD

cd ../
wget http://eugene.toulouse.inrae.fr/Downloads/eugene-4.3.tar.gz
gzip -cd eugene-4.3.tar.gz | tar xvf -
cd eugene-4.3
setenv EUGENEDIR $PWD

# Eugene compilation
./reconf
./configure --prefix $EUGENEDIR
make -i
make -i install

cd $EUGENEDIR/models/
mkdir WAM
cd WAM
wget http://eugene.toulouse.inra.fr/Downloads/WAM_plant.tar.gz
gzip -cd WAM_plant.tar.gz  | tar xvf -



cd $EGNEP/bin/ext
wget lowelab.ucsc.edu/software/tRNAscan-SE-1.3.1.tar.gz
gzip -cd tRNAscan-SE-1.3.1.tar.gz | tar xvf -
ln -s tRNAscan-SE-1.3.1 tRNAscan-SE
cd  tRNAscan-SE-1.3.1/
setenv HOMEBK $HOME;setenv HOME $EGNEP/bin/ext
make  && make install
setenv HOME $HOMEBK


cd $EGNEP/bin/ext
wget eddylab.org/infernal/infernal-1.1.2.tar.gz
gzip -cd infernal-1.1.2.tar.gz | tar xvf -
cd infernal-1.1.2
./configure --prefix $EGNEP/bin/ext/
make && make install

cd $EGNEP/bin/ext/
wget genometools.org/pub/genometools-1.5.6.tar.gz
gzip -cd genometools-1.5.6.tar.gz| tar xvf -
cd genometools-1.5.6
make cairo=no  errorcheck=no
make prefix=$EGNEP/bin/ext cairo=no install
cd ..
ln -s genometools-1.5.6 genometools

cd $EGNEP/bin/ext/
wget -O v2.29.2.tar.gz https://github.com/arq5x/bedtools2/archive/v2.29.2.tar.gz
gzip -cd v2.29.2.tar.gz | tar xvf -
cd bedtools2-2.29.2
make
cd ..
ln -s bedtools2-2.29.2/ bedtools2

cd $EGNEP/bin/ext/
wget ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.2.31/ncbi-blast-2.2.31+-x64-linux.tar.gz
gzip -cd ncbi-blast-2.2.31+-x64-linux.tar.gz | tar xvf -
ln -s ncbi-blast-2.2.31+  ncbi-blast

cd $EGNEP/bin/ext/
wget research-pub.gene.com/gmap/src/gmap-gsnap-2017-09-05.tar.gz
gzip -cd gmap-gsnap-2017-09-05.tar.gz | tar xvf -
cd gmap-2017-09-05
./configure --prefix $EGNEP/bin/ext/gmap-2017-09-05
make && make install
cd ..
ln -s gmap-2017-09-05 gmap

# Diamond
cd $EGNEP/bin/ext/
wget -O diamond-linux64.tar.gz http://github.com/bbuchfink/diamond/releases/download/v0.9.24/diamond-linux64.tar.gz
gzip -cd diamond-linux64.tar.gz | tar xvf -


# ONLY IF YOU WANT TO USE USEARCH INSTEAD OF DIAMOND
# Download usearch (http://www.drive5.com/usearch/download.html): 64-bits version recommanded
#cd $EGNEP/bin/ext/
# Create a link to the usearch binary
#if [ -f usearch8.0.1623_i86linux64 ]; then
#	ln -s usearch8.0.1623_i86linux64 usearch
#else
#	echo "Get usearch binary file then execute 'ln -s usearch8.0.1623_i86linux64 usearch'"
#fi
